var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);

var commentId = null;

describe('AddComment', function () {

  it('should add a comment', function (done) {
    chai.request(url_wfgen_admin)
      .post('/')
      .send({
        'operation': 'addComment',
        'args': {
          'input': {
            'subjectId': 'UmVxdWVzdDo1',
            'message': 'This is my comment'
          }
        }
      })
      .end(function (err, res) {
        res.should.have.status(200);
        res.should.be.json;
        res.body.should.have.property('clientMutationId');
        res.body.should.have.property('commentId');
        expect(res.body.clientMutationId).to.be.a('null');
        res.body.commentId.should.be.a('string');

        commentId = res.body.commentId;

        done();
      });
  });  
  
  it("should return the comment added", function (done) {
    if (commentId === null) {
      this.skip();
    }
    chai.request(url_wfgen_admin)
      .post('/')
      .send({
        'operation': 'getComment',
        'args': {
          'id': commentId
        }
      })
      .end(function (err, res) {
        res.should.have.status(200);
        res.should.be.json;

        utils.validateCommentProperties(res.body);

        expect(res.body).to.include({ id: commentId, subjectId: 'UmVxdWVzdDo1', message: 'This is my comment' });

        done();
      });
  });
});
