var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
chai.use(chaiHttp);

describe('DeleteDelegation', function () {
  it('should delete a delegation', function (done) {
    chai.request(url_wfgen_admin)
    .post('/')
    .send({
      'operation': 'deleteDelegation',
      'args': {
        'input': {
          'id' : 'RGVsZWdhdGlvbjoz'
        }
      }
    })
    .end(function (err, res) {
      res.should.have.status(200);
      res.should.be.json;
      res.body.should.have.property('clientMutationId');

      expect(res.body).to.include({ clientMutationId:null });
      done();
    });
  });
  it('should verify the deleted delegation', function (done) {
    chai.request(url_wfgen_admin)
    .post('/')
    .send({
      'operation': 'getDelegation',
      'args': {
          'id': 'RGVsZWdhdGlvbjoz'
      }
    })
    .end(function (err, res) {
      res.should.have.status(500);
      res.should.be.json;
      res.body.should.have.property('error');
      res.body.error.should.be.a('string');
      expect(res.body.error).to.contain('The delegation does not exist');
      done();
    });
  });
});