var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
chai.use(chaiHttp);

describe('DeleteFavorite', function () {

  it('should delete a favorite process', function (done) {
    chai.request(url_wfgen_admin)
      .post('/')
      .send({
        'operation': 'deleteFavorite',
        'args': {
          'input': {
            'id': 'RmF2b3JpdGU6Mw=='
          }
        }
      })
      .end(function (err, res) {
        res.should.have.status(200);
        res.should.be.json;
        res.body.should.have.property('clientMutationId');
        expect(res.body.clientMutationId).to.be.a('null');

        done();
      });
  });

  it('should verify the deleted favorite process', function (done) {
    chai.request(url_wfgen_admin)
    .post('/')
    .send({
      'operation': 'getFavorite',
      'args': {
        'id': 'RmF2b3JpdGU6Mw=='
      }
    })
    .end(function (err, res) {
      res.should.have.status(500);
      res.should.be.json;
      res.body.should.have.property('error');
      res.body.error.should.be.a('string');
      expect(res.body.error).to.contain('The favorite does not exist.');
      done();
    });
  });

  it('should delete a favorite view', function (done) {
    chai.request(url_wfgen_admin)
      .post('/')
      .send({
        'operation': 'deleteFavorite',
        'args': {
          'input': {
            'id': 'RmF2b3JpdGU6NQ=='
          }
        }
      })
      .end(function (err, res) {
        res.should.have.status(200);
        res.should.be.json;
        res.body.should.have.property('clientMutationId');
        expect(res.body.clientMutationId).to.be.a('null');

        done();
      });
  });

  it('should verify the deleted favorite view', function (done) {
    chai.request(url_wfgen_admin)
    .post('/')
    .send({
      'operation': 'getFavorite',
      'args': {
        'id': 'RmF2b3JpdGU6NQ=='
      }
    })
    .end(function (err, res) {
      res.should.have.status(500);
      res.should.be.json;
      res.body.should.have.property('error');
      res.body.error.should.be.a('string');
      expect(res.body.error).to.contain('The favorite does not exist.');
      done();
    });
  });
});
