var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
chai.use(chaiHttp);

describe('GetActionAssignableUsers', function () {
    
    it('should get assignable users by action ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getActionAssignableUsers',
            'args' : {
                'id' : 'QWN0aW9uOjUtLS0x'
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;
                    
            var totalCount = 3;

            // Properties
            res.body.should.have.property('totalCount');
            res.body.should.have.property('items');

            // Count
            expect(res.body.items).to.have.lengthOf(totalCount);
            expect(res.body.totalCount).to.equal(totalCount);

            // Array validation
            res.body.items.should.be.a('array');
            
            // Values validation            
            expect(res.body.items[0]).to.equal('VXNlcjox');
            expect(res.body.items[1]).to.equal('VXNlcjoz');
            expect(res.body.items[2]).to.equal('VXNlcjoy');
            
            done();
        });
    });
});