var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);

describe('GetActivity', function () {

    it('should get an activity given its ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getActivity',
            'args': {
                'id': "QWN0aXZpdHk6MS0tLTM="
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateActivityProperties(res.body);

            // Values validation
            expect(res.body).to.include({ id:'QWN0aXZpdHk6MS0tLTM=', name: 'UPDATES',  type: 'APPLICATION' });

            done();
        });
    });
});