var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var constants = require('../../constants');
var utils = require('../../utils');
chai.use(chaiHttp);

describe('GetApplication', function () {

  it('should get an application given its name', function (done) {
    chai.request(url_wfgen_admin)
    .post('/')
    .send({
      'operation': 'getApplication',
      'args': {
        'name': 'INWEBHOOK_TEST'
      }
    })
    .end(function (err, res) {
      res.should.have.status(200);
      res.should.be.json;

      utils.validateApplicationProperties(res.body);
      
      // Values validation
      expect(res.body.id).to.be.equal('QXBwbGljYXRpb246MjE=');
      expect(res.body.name).to.be.equal('INWEBHOOK_TEST');
      expect(res.body.description).to.be.equal('Incoming webhook test');
      expect(res.body.type).to.be.equal('INWEBHOOK');
      expect(res.body.url).to.be.equal('http://localhost/wfgen/hooks/' + constants.token_wfgen_admin);
      expect(res.body.wsdl).to.be.a('null');
      expect(res.body.username).to.be.a('null');
      expect(res.body.password).to.be.a('null');
      expect(res.body.assemblyName).to.be.a('null');
      expect(res.body.assemblyClassName).to.be.a('null');
      expect(res.body.method).to.be.a('null');
      expect(res.body.contentType).to.be.a('null');
      expect(res.body.contentType).to.be.a('null');
      expect(res.body.isSchemaDefinitionEmbedded).to.be.equal(false);
      expect(res.body.isDefault).to.be.equal(false);
      expect(res.body.isActive).to.be.equal(true);

      done();
    });
  });
});