var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
    
describe('GetComment', function () {
    it('should get comment given its ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getComment',
            'args': {
                'id': 'Q29tbWVudDoxLS0tMQ==',
                'userId' : 'VXNlcjox'
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateCommentProperties(res.body);

            // Values validation
            expect(res.body).to.include({ id:'Q29tbWVudDoxLS0tMQ==', message: 'test' });
            
            done();
        });
    });
});
