var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetCommentsByRequest', function () {
    it('should get comments given requestID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getCommentsByRequest',
            'args': {
                'requestId': 'UmVxdWVzdDox',
                'userId' : 'VXNlcjox'
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateCommentPageListProperties(res.body, 2);

            expect(res.body.items[0]).to.include({ id:'Q29tbWVudDoxLS0tMQ==', message: 'test' });
            expect(res.body.items[1]).to.include({ id:'Q29tbWVudDoxLS0tMg==', message: 'test 2' });

            done();
        });
    });  
});
