var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetDirectories', function () {

    it('should get all the directories', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getDirectories',
            'args': {
            }
        })
        .end(function (err, res) {
            res.should.have.status(200);
            res.should.be.json;

            utils.validateDirectoryPageListProperties(res.body, 3);

            expect(res.body.items[0]).to.include({ id:'RGlyZWN0b3J5OjE=', name: 'WORKFLOWGEN', description: "WorkflowGen", isDefault: true, isUserPasswordManaged: false });
            expect(res.body.items[1]).to.include({ id:'RGlyZWN0b3J5OjI=', name: 'DIR2', description: "Directory 2", isDefault: false, isUserPasswordManaged: false });
            expect(res.body.items[2]).to.include({ id:'RGlyZWN0b3J5OjM=', name: 'DIR3', description: "Directory 3", isDefault: false, isUserPasswordManaged: true });

            done();
        });
    });

});
