var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);

describe('GetFavorite', function () {

    it('should get a favorite given its ID', function (done) {
    chai.request(url_wfgen_admin)
        .post('/')
        .send({
        'operation': 'getFavorite',
        'args': {
            'id': 'RmF2b3JpdGU6MQ=='
        }
        })
        .end(function (err, res) {
            res.should.have.status(200);
            res.should.be.json;

            utils.validateFavoriteProperties(res.body);

            expect(res.body.id).to.be.equal('RmF2b3JpdGU6MQ==');
            expect(res.body.ownerId).to.be.equal('VXNlcjox');
            expect(res.body.description).to.be.equal('Test simple approval favorite process');
            expect(res.body.type).to.be.equal('PROCESS');
            expect(res.body.itemId).to.be.equal('UHJvY2Vzczox');
            expect(res.body.onBehalfOf).to.be.a('null');
            
            done();
        });
    });
});