var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);

describe('GetGroup', function () {

    it('should get a group given its ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getGroup',
            'args': {
                'id': "R3JvdXA6MQ=="
            }
        })
        .end(function (err, res) {
            res.should.have.status(200);
            res.should.be.json;

            utils.validateGroupProperties(res.body);

            expect(res.body).to.include({ id:'R3JvdXA6MQ==', name: 'Group A', description: "Group A", directoryId: "RGlyZWN0b3J5OjE=" });
            
            done();
        })
    });

    it('should get a group given its name and directory\'s name', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getGroup',
            'args': {
                'name': "Group B",
                'directoryName': "WORKFLOWGEN"
            }
        })
        .end(function (err, res) {
            res.should.have.status(200);
            res.should.be.json;

            utils.validateGroupProperties(res.body);
            
            expect(res.body).to.include({ id:'R3JvdXA6Mg==', name: 'Group B', description: "Group B", directoryId: "RGlyZWN0b3J5OjE=" });
            
            done();
        });
    });
    
});