var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetGlobalParticipanDirectoryAssociations', function () {
    
    it('should get participant directory associations by global participant ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getGlobalParticipanDirectoryAssociations',
            'args' : {
                'participantId' : 'R2xvYmFsUGFydGljaXBhbnQ6MQ=='
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateDirectoryPageListProperties(res.body, 1);
            
            // Values validation
            expect(res.body.items[0]).to.include({ id:'RGlyZWN0b3J5OjM=', name: 'DIR3' });

            done();
        });
    });
});