var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetGlobalParticipantUserAssociations', function () {
    
    it('should get participant user associations by global participant ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getGlobalParticipantUserAssociations',
            'args' : {
                'participantId' : 'R2xvYmFsUGFydGljaXBhbnQ6MQ=='
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;
            
            utils.validateUserPageListProperties(res.body, 2);

            // Values validation
            expect(res.body.items[0]).to.include({ id:'VXNlcjo3', userName: 'garry_poole' });
            expect(res.body.items[1]).to.include({ id:'VXNlcjox', userName: 'wfgen_admin' });

            done();
        });
    });
});