var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetLocalProcessParticipanCoordinatorAssociations', function () {
    
    it('should get participant coordinator associations by local process participant ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getLocalProcessParticipanCoordinatorAssociations',
            'args' : {
                'participantId' : 'TG9jYWxQcm9jZXNzUGFydGljaXBhbnQ6Mw=='
            }            
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateUserPageListProperties(res.body, 1);
            
            // Values validation
            expect(res.body.items[0]).to.include({ id:'VXNlcjox', userName: 'wfgen_admin' });
            
            done();
        });
    });
});