var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetLocalProcessParticipanGroupAssociations', function () {
    
    it('should get participant group associations by local process participant ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getLocalProcessParticipanGroupAssociations',
            'args' : {
                'participantId' : 'TG9jYWxQcm9jZXNzUGFydGljaXBhbnQ6Mg=='
            } 
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateGroupPageListProperties(res.body, 1);
            
            // Values validation
            expect(res.body.items[0]).to.include({ id:'R3JvdXA6Ng==', name: 'Group A' });

            done();
        });
    });
});