var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetLocalProcessParticipantUserAssociations', function () {
    
    it('should get participant user associations by local process participant ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getLocalProcessParticipantUserAssociations',
            'args' : {
                'participantId' : 'TG9jYWxQcm9jZXNzUGFydGljaXBhbnQ6NQ=='
            }            
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateUserPageListProperties(res.body, 3);

            // Values validation
            expect(res.body.items[0]).to.include({ id:'VXNlcjoz', userName: 'john_smith' });
            expect(res.body.items[1]).to.include({ id:'VXNlcjoy', userName: 'mark_twain' });
            expect(res.body.items[2]).to.include({ id:'VXNlcjox', userName: 'wfgen_admin' });

            done();
        });
    });
});