var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);

describe('GetProcessParticipantProfile', function () {

    it('should get a process participant profile given its ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getProcessParticipantProfile',
            'args' : {
                'id' : 'UHJvY2Vzc1BhcnRpY2lwYW50UHJvZmlsZToyLS0tNQ=='
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateProcessParticipantProfileProperties(res.body);
            
            // Values validation
            expect(res.body).to.include({ id:'UHJvY2Vzc1BhcnRpY2lwYW50UHJvZmlsZToyLS0tNQ==', participantId: 'TG9jYWxQcm9jZXNzUGFydGljaXBhbnQ6NQ==' });

            done();
        });
    });
});