var chai = require('chai');
var chaiHttp = require('chai-http');
var chaiThings = require('chai-things');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);
chai.use(chaiThings);

describe('GetProcessParticipantProfiles', function () {
    
    it('should get process participant profiles by process ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getProcessParticipantProfiles',
            'args': {
                'processId': 'UHJvY2Vzczoy'
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateProcessParticipantProfilePageListProperties(res.body, 3);

            // Values validation
            expect(res.body.items[0]).to.include({ id:'UHJvY2Vzc1BhcnRpY2lwYW50UHJvZmlsZToyLS0tNQ==', participantId: 'TG9jYWxQcm9jZXNzUGFydGljaXBhbnQ6NQ=='});
            expect(res.body.items[2]).to.include({ id:'UHJvY2Vzc1BhcnRpY2lwYW50UHJvZmlsZToyLS0tNA==', participantId: 'TG9jYWxQcm9jZXNzUGFydGljaXBhbnQ6NA=='});

            done();
        });
    });
});
