var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
chai.use(chaiHttp);

describe('CanCancelRequest', function(){
    it('should return a boolean representing if the viewer can cancel a request given its ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'canCancelRequest',
            'args' : {
                'userId' : 'VXNlcjox',
                'id' : 'UmVxdWVzdDo2'
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            expect(res.body).to.equal(true);
            done();
        });
    });
    it('should return a boolean representing if mark_twain can cancel a request given its number', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'canCancelRequest',
            'args' : {
                'userId' : 'VXNlcjoy',
                'number' : 9
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            expect(res.body).to.equal(false);
            done();
        });
    });
});
