var chai = require('chai');
var chaiHttp = require('chai-http');
var expect = require('chai').expect;
var should = chai.should();
var utils = require('../../utils');
chai.use(chaiHttp);

describe('GetView', function () {

    it('should get a view given its ID', function (done) {
        chai.request(url_wfgen_admin)
        .post('/')
        .send({
            'operation': 'getView',
            'args' : {
                'id' : 'VmlldzoxLS0tMg=='
            }
        })
        .end(function (err, res) {

            res.should.have.status(200);
            res.should.be.json;

            utils.validateViewProperties(res.body);

            // Values validation
            expect(res.body).to.include({ id:'VmlldzoxLS0tMg==', description: 'Requests' });

            done();
        });
    });
});