const sql = require('seriate');
const dbHelper = require('./databasehelper');
const scripts = require('./utils');
const config = require('../../config.test');

// Add connections
sql.addConnection({
  name: 'Master-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: 'master',
  port: config.test.databaseConnection.port
});
sql.addConnection({
  name: 'WFGEN_TEST-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: config.test.databaseConnection.database,
  port: config.test.databaseConnection.port
});

// Copy database scripts 
scripts.copyScripts();

// Create the test database and objects
dbHelper.createDatabaseAndLogin(config.test.databaseConnection.database, config.test.databaseConnection.user, config.test.databaseConnection.password)
  .then(function () {
    return dbHelper.createSchemaAndUser(config.test.databaseConnection.user);
  }, function (err) {
    console.log('An error occurred while creating the schema and the user:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbHelper.createTables();
  }, function (err) {
    console.log('An error occurred while creating the tables:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbHelper.createTriggers();
  }, function (err) {
    console.log('An error occurred while creating the triggers:', err);
    sql.closeConnection();
  });
