const sql = require('seriate');
const config = require('../../config.test');
const scripts = require('./utils');
const dbDrop = require('./databasehelper');

// Add connections
sql.addConnection({
  name: 'Master-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: 'master',
  port: config.test.databaseConnection.port
});
sql.addConnection({
  name: 'WFGEN_TEST-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: config.test.databaseConnection.database,
  port: config.test.databaseConnection.port
});

// Drop the database
dbDrop.dropDatabase(config.test.databaseConnection.database)
  .then(function () {
    return dbDrop.dropLogin(config.test.databaseConnection.user);
  }, function (err) {
    console.log('An error occurred while dropping the login:', err);
    sql.closeConnection();
  });

scripts.deleteProcessFiles();
