const sql = require('seriate');
const dbHelper = require('./databasehelper');
const scripts = require('./utils');
const config = require('../../config.test');

// Add connection
sql.addConnection({
  name: 'WFGEN_TEST-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: config.test.databaseConnection.database,
  port: config.test.databaseConnection.port
});

// Initialize the database
dbHelper.deleteRecords()
  .then(function () {
    return dbHelper.insertConst();
  }, function (err) {
    console.log('An error occurred while inserting the constants:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbHelper.insertData();
  }, function (err) {
    console.log('An error occurred while inserting the data:', err);
    sql.closeConnection();
  });

scripts.copyProcessFiles();
