const sql = require('seriate');
const dbReset = require('./databasehelper');
const scripts = require('./utils');
const config = require('../../config.test');

// Add connections
sql.addConnection({
  name: 'Master-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: 'master',
  port: config.test.databaseConnection.port
});
sql.addConnection({
  name: 'WFGEN_TEST-connection',
  user: config.test.databaseConnection.adminUser,
  password: config.test.databaseConnection.adminPassword,
  host: config.test.databaseConnection.server,
  database: config.test.databaseConnection.database,
  port: config.test.databaseConnection.port

});

dbReset.dropDatabase(config.test.databaseConnection.database)
  .then(function () {
    return dbReset.dropLogin(config.test.databaseConnection.user);
  }, function (err) {
    console.log('An error occurred while dropping the login:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbReset.createDatabaseAndLogin(config.test.databaseConnection.database, config.test.databaseConnection.user, config.test.databaseConnection.password);
  }, function (err) {
    console.log('An error occurred while creating the database and the login:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbReset.createSchemaAndUser(config.test.databaseConnection.user);
  }, function (err) {
    console.log('An error occurred while creating the schema and the user:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbReset.createTables();
  }, function (err) {
    console.log('An error occurred while creating the tables:', err);
    sql.closeConnection();
  })
  .then(function () {
    return dbReset.createTriggers();
  }, function (err) {
    console.log('An error occurred while creating the triggers:', err);
    sql.closeConnection();
  });

scripts.deleteProcessFiles();
